Skip to content

Update the webhook subscription

This endpoint allows you to delete a webhook subscription.

WARNING

Be careful when you delete a webhook subscription, you will not receive webhook events at the endpoint you specified.

Endpoint DELETE

http
/api/event-subscriptions/payment.status.changed

headers

http
'Content-Type: application/json'
'Accept: application/json'
'Authorization: Bearer access_token'

Body parameter

json
{
  "merchant_id": "c45d1120-9114-4166-ac36-f24f51fdb21e"
}

HTTP Code sample

1curl --location --request DELETE 'https://api-gateway-sandbox.huch.tech/api/event-subscriptions/payment.status.changed' \
2--header 'Content-Type: application/json' \
3--header 'Accept: application/json' \
4--header 'Authorization: Bearer ' \
5--data-raw '{
6  "merchant_id": ""
7}'

200 response

"Ok"

Responses

StatusMeaningDescriptionSchema
200OKSuccessful operationEventSubscriptionResponse
404Not FoundNot foundNone
500Internal Server ErrorInternal errorsNone